Post verify accounts
curl --request POST \
--url https://api-sandbox.orum.io/verify/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"account_number": "00101044595",
"routing_number": "021000021",
"account_holder_name": "John Doe",
"email": "[email protected]",
"person": {
"first_name": "John",
"last_name": "Doe",
"ssn": "123121234",
"phone_number": "+11234567890"
},
"business": {
"business_name": "Acme",
"tax_id": "123456789",
"phone_number": "+11234567890"
},
"sender_name": "Acme"
}
'import requests
url = "https://api-sandbox.orum.io/verify/accounts"
payload = {
"account_number": "00101044595",
"routing_number": "021000021",
"account_holder_name": "John Doe",
"email": "[email protected]",
"person": {
"first_name": "John",
"last_name": "Doe",
"ssn": "123121234",
"phone_number": "+11234567890"
},
"business": {
"business_name": "Acme",
"tax_id": "123456789",
"phone_number": "+11234567890"
},
"sender_name": "Acme"
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number: '00101044595',
routing_number: '021000021',
account_holder_name: 'John Doe',
email: '[email protected]',
person: {
first_name: 'John',
last_name: 'Doe',
ssn: '123121234',
phone_number: '+11234567890'
},
business: {business_name: 'Acme', tax_id: '123456789', phone_number: '+11234567890'},
sender_name: 'Acme'
})
};
fetch('https://api-sandbox.orum.io/verify/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/verify/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_number' => '00101044595',
'routing_number' => '021000021',
'account_holder_name' => 'John Doe',
'email' => '[email protected]',
'person' => [
'first_name' => 'John',
'last_name' => 'Doe',
'ssn' => '123121234',
'phone_number' => '+11234567890'
],
'business' => [
'business_name' => 'Acme',
'tax_id' => '123456789',
'phone_number' => '+11234567890'
],
'sender_name' => 'Acme'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/verify/accounts"
payload := strings.NewReader("{\n \"account_number\": \"00101044595\",\n \"routing_number\": \"021000021\",\n \"account_holder_name\": \"John Doe\",\n \"email\": \"[email protected]\",\n \"person\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"ssn\": \"123121234\",\n \"phone_number\": \"+11234567890\"\n },\n \"business\": {\n \"business_name\": \"Acme\",\n \"tax_id\": \"123456789\",\n \"phone_number\": \"+11234567890\"\n },\n \"sender_name\": \"Acme\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.orum.io/verify/accounts")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_number\": \"00101044595\",\n \"routing_number\": \"021000021\",\n \"account_holder_name\": \"John Doe\",\n \"email\": \"[email protected]\",\n \"person\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"ssn\": \"123121234\",\n \"phone_number\": \"+11234567890\"\n },\n \"business\": {\n \"business_name\": \"Acme\",\n \"tax_id\": \"123456789\",\n \"phone_number\": \"+11234567890\"\n },\n \"sender_name\": \"Acme\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/verify/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_number\": \"00101044595\",\n \"routing_number\": \"021000021\",\n \"account_holder_name\": \"John Doe\",\n \"email\": \"[email protected]\",\n \"person\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"ssn\": \"123121234\",\n \"phone_number\": \"+11234567890\"\n },\n \"business\": {\n \"business_name\": \"Acme\",\n \"tax_id\": \"123456789\",\n \"phone_number\": \"+11234567890\"\n },\n \"sender_name\": \"Acme\"\n}"
response = http.request(request)
puts response.read_body{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_number": "<string>",
"routing_number": "<string>",
"account_holder_name": "<string>",
"verification_status": "pending",
"email": "[email protected]",
"status_reason": "blocked_account",
"ownership_status": "pending",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"first_name_match": "match",
"last_name_match": "match",
"phone_number_match": "match",
"ssn_match": "match"
},
"business": {
"business_name": "<string>",
"phone_number": "<string>",
"business_name_match": "match",
"phone_number_match": "match",
"tax_id_match": "match"
},
"control_status": "pending",
"debit_status": "pending",
"debit_status_reason": "blocked_account",
"estimated_verification_date": "2023-07-13T00:00:00.000Z",
"sender_name": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Verify API
Post Verify Accounts
Request account verification.
POST
/
verify
/
accounts
Post verify accounts
curl --request POST \
--url https://api-sandbox.orum.io/verify/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"account_number": "00101044595",
"routing_number": "021000021",
"account_holder_name": "John Doe",
"email": "[email protected]",
"person": {
"first_name": "John",
"last_name": "Doe",
"ssn": "123121234",
"phone_number": "+11234567890"
},
"business": {
"business_name": "Acme",
"tax_id": "123456789",
"phone_number": "+11234567890"
},
"sender_name": "Acme"
}
'import requests
url = "https://api-sandbox.orum.io/verify/accounts"
payload = {
"account_number": "00101044595",
"routing_number": "021000021",
"account_holder_name": "John Doe",
"email": "[email protected]",
"person": {
"first_name": "John",
"last_name": "Doe",
"ssn": "123121234",
"phone_number": "+11234567890"
},
"business": {
"business_name": "Acme",
"tax_id": "123456789",
"phone_number": "+11234567890"
},
"sender_name": "Acme"
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number: '00101044595',
routing_number: '021000021',
account_holder_name: 'John Doe',
email: '[email protected]',
person: {
first_name: 'John',
last_name: 'Doe',
ssn: '123121234',
phone_number: '+11234567890'
},
business: {business_name: 'Acme', tax_id: '123456789', phone_number: '+11234567890'},
sender_name: 'Acme'
})
};
fetch('https://api-sandbox.orum.io/verify/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.orum.io/verify/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_number' => '00101044595',
'routing_number' => '021000021',
'account_holder_name' => 'John Doe',
'email' => '[email protected]',
'person' => [
'first_name' => 'John',
'last_name' => 'Doe',
'ssn' => '123121234',
'phone_number' => '+11234567890'
],
'business' => [
'business_name' => 'Acme',
'tax_id' => '123456789',
'phone_number' => '+11234567890'
],
'sender_name' => 'Acme'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Orum-Version: <orum-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.orum.io/verify/accounts"
payload := strings.NewReader("{\n \"account_number\": \"00101044595\",\n \"routing_number\": \"021000021\",\n \"account_holder_name\": \"John Doe\",\n \"email\": \"[email protected]\",\n \"person\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"ssn\": \"123121234\",\n \"phone_number\": \"+11234567890\"\n },\n \"business\": {\n \"business_name\": \"Acme\",\n \"tax_id\": \"123456789\",\n \"phone_number\": \"+11234567890\"\n },\n \"sender_name\": \"Acme\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Orum-Version", "<orum-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.orum.io/verify/accounts")
.header("Orum-Version", "<orum-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_number\": \"00101044595\",\n \"routing_number\": \"021000021\",\n \"account_holder_name\": \"John Doe\",\n \"email\": \"[email protected]\",\n \"person\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"ssn\": \"123121234\",\n \"phone_number\": \"+11234567890\"\n },\n \"business\": {\n \"business_name\": \"Acme\",\n \"tax_id\": \"123456789\",\n \"phone_number\": \"+11234567890\"\n },\n \"sender_name\": \"Acme\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.orum.io/verify/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Orum-Version"] = '<orum-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_number\": \"00101044595\",\n \"routing_number\": \"021000021\",\n \"account_holder_name\": \"John Doe\",\n \"email\": \"[email protected]\",\n \"person\": {\n \"first_name\": \"John\",\n \"last_name\": \"Doe\",\n \"ssn\": \"123121234\",\n \"phone_number\": \"+11234567890\"\n },\n \"business\": {\n \"business_name\": \"Acme\",\n \"tax_id\": \"123456789\",\n \"phone_number\": \"+11234567890\"\n },\n \"sender_name\": \"Acme\"\n}"
response = http.request(request)
puts response.read_body{
"account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"account_number": "<string>",
"routing_number": "<string>",
"account_holder_name": "<string>",
"verification_status": "pending",
"email": "[email protected]",
"status_reason": "blocked_account",
"ownership_status": "pending",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"phone_number": "<string>",
"first_name_match": "match",
"last_name_match": "match",
"phone_number_match": "match",
"ssn_match": "match"
},
"business": {
"business_name": "<string>",
"phone_number": "<string>",
"business_name_match": "match",
"phone_number_match": "match",
"tax_id_match": "match"
},
"control_status": "pending",
"debit_status": "pending",
"debit_status_reason": "blocked_account",
"estimated_verification_date": "2023-07-13T00:00:00.000Z",
"sender_name": "<string>"
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Authorizations
Headers
Body
application/json
Name of account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
Required string length:
1 - 255Pattern:
^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$Example:
"John Doe"
Name of sender initiating the verification request. This name will appear on the statement and should be recognizable to the account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
Required string length:
1 - 255Pattern:
^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$Example:
"Acme"
Was this page helpful?